<?php

use App\Http\Controllers\PermissionController;
use Illuminate\Support\Facades\Route;

Route::get('/permission',         [PermissionController::class, 'index'])->middleware('permission:config.permission,view');
Route::get('/permission-no-tree', [PermissionController::class, 'allNoTree'])->middleware('permission:config.permission,view');
Route::get('/permission/{id}',    [PermissionController::class, 'show'])->middleware('permission:config.permission,view');
Route::post('/permission/{id}',   [PermissionController::class, 'update'])->middleware('permission:config.permission,edit');
Route::post('/permission',        [PermissionController::class, 'store'])->middleware('permission:config.permission,add');
